<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.datarecovery.master.module.member.bean.SuperScenesBean" />

        <import type="com.atmob.common.ui.SizeUtil" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/iv_icon"
            imageRes="@{bean.imgSourceId}"
            android:layout_width="@{(float)SizeUtil.getScreenWidth() * 0.1111111111111111f, default=wrap_content}"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/icon_scenes_1" />

        <Space
            android:id="@+id/space"
            isGone="@{bean.scenesExtra != null}"
            android:layout_width="match_parent"
            android:layout_height="6dp"
            app:layout_constraintTop_toBottomOf="@+id/iv_icon" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{bean.scenesName}"
            android:textColor="#202020"
            android:textSize="13sp"
            app:layout_constraintEnd_toEndOf="@+id/iv_icon"
            app:layout_constraintStart_toStartOf="@+id/iv_icon"
            app:layout_constraintTop_toBottomOf="@+id/space"
            tools:text="信息恢复" />

        <TextView
            isGone="@{bean.scenesExtra == null}"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@{bean.scenesExtra}"
            android:textColor="#A7A7A7"
            android:textSize="10sp"
            app:layout_constraintEnd_toEndOf="@+id/iv_icon"
            app:layout_constraintStart_toStartOf="@id/iv_icon"
            app:layout_constraintTop_toBottomOf="@+id/tv_title"
            tools:text="敬请期待" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>